Skip to navigation

Get WellPlateSchema by ID

Beta
Get a single WellPlateSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

well_plate_schema_idstringRequired
ID of the WellPlateSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Why the schema was archived.
archivedbooleanOptional
Whether the schema is archived.
containerSchemaobjectOptional
The container schema used for positions in plates of this schema.
createdAtstringOptional
When the schema was created.
descriptionstringOptional
A description of the schema.
fieldDefinitionsstringOptionalformat: "uri"
The fields inherited by plates of this schema.
heightintegerOptional
The number of rows in plates of this schema.
idstringOptional
The ID of the schema.
modifiedAtstringOptional
When the schema was last modified.
namestringOptional
The name of the schema.
prefixstringOptional
The prefix of barcodes autogenerated for plates of this schema.
registryobjectOptional
The schema's registry.
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
widthintegerOptional
The number of columns in plates of this schema.

Errors

400
Well Plate Schema Get Request Bad Request Error
403
Well Plate Schema Get Request Forbidden Error
404
Well Plate Schema Get Request Not Found Error
429
Well Plate Schema Get Request Too Many Requests Error
500
Well Plate Schema Get Request Internal Server Error